<?php
session_start();
include ('private/mysql.php');
include ('tmp/head.php');


if($user['access'] !== '3' || $log !== 'grimm'){
    header('Location: main.php?');
    exit;
}


switch($sd){
default:

if(isset($_GET['regon'])){
    mysql_query("UPDATE `server` SET `reg`='on'");
    header('Location: azone.php');
}
if(isset($_GET['regoff'])){
    mysql_query("UPDATE `server` SET `reg`='off'");
    header('Location: azone.php');
}

$xsolla = mysql_num_rows(mysql_query("SELECT * FROM `payments`"));
$wmoney = mysql_num_rows(mysql_query("SELECT * FROM `payme` WHERE `status`!='ok'"));
$all_users = mysql_num_rows(mysql_query("SELECT * FROM `users`"));
$u_online = mysql_num_rows(mysql_query("SELECT * FROM `users` WHERE `online`>'".time()."'"));
$serv = mysql_fetch_assoc(mysql_query("SELECT * FROM `server`"));
if($serv['reg']=='off'){$reg_s="<font color=red>Отключена</font> [<a style='color:lightgreen' href='azone.php?regon'>Включить</a>]";}
if($serv['reg']=='on'){$reg_s="<font color=lightgreen>Включена</font> [<a style='color:red' href='azone.php?regoff'>Выключить</a>]";}
echo "Всего игроков: $all_users<br>Онлайн: $u_online<br>Регистрация: $reg_s<hr>";

echo "<a href='?sd=medal'>Дать медаль</a><br>";
echo "<a href='?sd=add_medal'>Создать медаль</a><br>";
echo "<a href='?sd=pers'>Управление персонажами</a><br>";
echo "<a href='?sd=mag'>Управление магией</a><br>";
echo "<a href='?sd=news'>Управление новостями</a><br>";
echo "<a href='?sd=shop'>Управление магазином</a><br>";
echo "<a href='?sd=quest'>Управление квестами</a><br>";
echo "<a href='?sd=mobs'>Управление монстрами</a><br>";
$kol_jal = mysql_num_rows(mysql_query("SELECT * FROM `mail_ja`"));
echo "<a href='?sd=jal'>Жалобы ($kol_jal)</a><br>";
echo "<a href='?sd=xsolla'>Биллинг xsolla ($xsolla)</a><br>";
echo "<a href='?sd=payme'>Биллинг WebMoney ($wmoney)</a><br>";
$new_ticket = mysql_num_rows(mysql_query("SELECT * FROM `ticket` WHERE `status`='on'"));
echo "<a href='?sd=ticket'>Тикет-система ($new_ticket)</a><hr>";

echo "<a href='?sd=silver'>Дать <img src='img/silver.png'> серебро</a><br>";
echo "<a href='?sd=almaz'>Дать <img src='img/almaz.png'> алмазы</a><hr>";

if(empty($_POST['submit'])){
    
    echo "<form action='azone.php' method='post'>
    Сообщение в чат от Око Войны:<br>
    <textarea name='text' class='enter'></textarea><br>
    <input type='submit' name='submit' value='Отправить' class='enter'></form>";
    
}else{
    
    mysql_query("INSERT INTO `chat` SET `user`='1',`text`='$_POST[text]',`time`='".time()."'");
    
    header('Location: azone.php');
    exit;
    
}

break;

case 'medal2':
$w = mysql_fetch_assoc(mysql_query("SELECT * FROM `a_medal` WHERE `id`='$id'"));

if(empty($_POST['submit'])){
    
    
    
    echo "<form action='azone.php?sd=medal2&id=$id' method='post'>
    <figure class='img'><img src='img/medal/$w[img]'><figcaption>$w[name]</figcaption>
    </figure><br>
    Кому(id):<br>
    <input type='text' name='to' class='enter'><br>
    <input type='submit' name='submit' value='Отправить' class='enter'></form>";
    
}else{
    
    
    mysql_query("INSERT INTO `medal` SET `user`='$_POST[to]',`name`='$w[name]',`text`='$w[text]',`img`='$w[img]'");
    
    mysql_query("INSERT INTO `mail` SET `user`='1',`to`='$_POST[to]',`text`='Администратор <a href=user.php?id=$uid>$log</a> наградил вас медалью <b>$w[name]</b>',`time`='".time."'");
    
    header('Location: azone.php?sd=medal');
    exit;
    
}


break;

case 'medal':

$q = mysql_query("SELECT * FROM `a_medal`");

While($w = mysql_fetch_assoc($q)){
    
    echo "<a href='?sd=medal2&id=$w[id]'><figure class='img'><img src='img/medal/$w[img]'><figcaption>$w[name]</figcaption>
</figure></a>&nbsp;&nbsp;&nbsp;";
    
}

break;


case 'add_medal':

if(empty($_POST['submit'])){
    
    echo "<form action='azone.php?sd=add_medal' method='post'>
    Название:<br>
    <input type='text' name='name' class='enter'><br>
    Описание:<br>
    <textarea name='text' class='enter'></textarea><br>
    Картинка:<br>
    <input type='text' name='img' class='enter'><br>
    <input type='submit' name='submit' value='Создать' class='enter'></form>";
    
}else{
    
    mysql_query("INSERT INTO `a_medal` SET `name`='$_POST[name]',`text`='$_POST[text]',`img`='$_POST[img].png'");
    
    header('Location: azone.php?sd=add_medal');
    exit;
    
}

break;


case 'almaz':

if(empty($_POST['submit'])){
	
	echo "<form action='azone.php?sd=almaz' method='post'>
	Кому: <input type='text' name='to' class='enter'><br>
	Сколько <img src='img/almaz.png'>: <input type='text' name='kol' class='enter'><br>
	<input type='submit' name='submit' class='enter' value='Отправить'></form>";
	
}else{
    
    mysql_query("INSERT INTO `mail` SET `user`='1',`to`='$_POST[to]',`text`='Администратор $log подарил вам $_POST[kol] <img src=img/almaz.png>',`time`='".time()."'");
	
	mysql_query("UPDATE `users` SET `almaz`=`almaz`+'$_POST[kol]' WHERE `id`='$_POST[to]'");
	header('Location: azone.php?sd=almaz');
	exit;
	
}

break; 


case 'silver':

if(empty($_POST['submit'])){
	
	echo "<form action='azone.php?sd=silver' method='post'>
	Кому: <input type='text' name='to' class='enter'><br>
	Сколько <img src='img/silver.png'>: <input type='text' name='kol' class='enter'><br>
	<input type='submit' name='submit' class='enter' value='Отправить'></form>";
	
}else{
	
	mysql_query("UPDATE `users` SET `silver`=`silver`+'$_POST[kol]' WHERE `id`='$_POST[to]'");
	header('Location: azone.php?sd=silver');
	exit;
	
}

break; 



case 'add_shmotp':

if(empty($_POST['submit'])){
    
    echo "<form action='azone.php?sd=add_shmotp' method='post'>
    Имя:<br>
    <input type='text' name='name' class='enter'><br>
    Тип:<br>
    <select name='tip' class='enter'>
    <option value='weapon'>Оружие</option>
    <option value='helmet'>Шлем</option>
    <option value='armor'>Броня</option>
    <option value='gloves'>Перчатки</option>
    <option value='ple4i'>Наплечники</option>
    <option value='pants'>Поножи</option>
    <option value='boots'>Сапоги</option>
    <option value='amulet'>Амулет</option>
    <option value='shield'>Щит</option>
    <option value='ear'>Серьга</option>
    <option value='ring'>Кольцо</option>
    </select><br>
    Уровень:<br>
    <input type='text' name='level' class='enter'><br>
    
    Цена (<img src='img/almaz.png'>):<br>
    <input type='text' name='almaz' class='enter'><br>
    Цена (<img src='img/silver.png'>):<br>
    <input type='text' name='silver' class='enter'><br>
    
    
    + <font color=red>hp</font>:<br>
    <input type='text' name='hp' class='enter'><br>
    + <font color=blue>mp</font>:<br>
    <input type='text' name='mp' class='enter'><br>
    Интеллект:<br>
    <input type='text' name='int' class='enter'><br>
    Урон:<br>
    <input type='text' name='min_u' class='enter'> - <input type='text' name='max_u' class='enter'><br>
    URL Картинки:<br>
    <input type='text' name='link' class='enter'><br>
    <input type='submit' name='submit' value='Создать'></form>";
    
}else{

    
    mysql_query("INSERT INTO `premium_shop` SET 
    `name`='$_POST[name]',
    `tip`='$_POST[tip]',
    `level`='$_POST[level]',
    `almaz`='$_POST[almaz]',
    `silver`='$_POST[silver]',
    `hp`='$_POST[hp]',
    `mp`='$_POST[mp]',
    `min_u`='$_POST[min_u]',
    `max_u`='$_POST[max_u]',
    `int`='$_POST[int]'") or die(mysql_error());
    
    $sna = mysql_insert_id();
    
    mysql_query("UPDATE `shop` SET `img`='$sna.png' WHERE `id`='$sna'");
      
    $file = file_get_contents($_POST['link']);
    file_put_contents("img/shmot/$sna.png", $file);  
    
    
    header('Location: azone.php?sd=add_shmotp');
    exit;
    
}

break;


case 'add_quest':

if(empty($_POST['submit'])){
   
    echo "<form action='?sd=add_quest' method='post'>
    Название:<br>
    <input type='text' name='name' class='enter'><br>
    Текст:<br>
    <textarea name='text' class='enter'></textarea><br>
    Уровень:<br>
    <input type='text' name='min_level' class='enter'> - <input type='text' name='max_level' class='enter'><br>
    Монстр:<br>
    <input type='text' name='mob' class='enter'><br>
    Количество:<br>
    <input type='text' name='need' class='enter'><br>
    <img src='img/exp.png'> Опыт:<br>
    <input type='text' name='exp' class='enter'><br>
    <img src='img/silver.png'> Серебро:<br>
    <input type='text' name='silver' class='enter'><br>
    <input type='submit' name='submit' value='Создать' class='enter'><br>";

}else{
    
    mysql_query("INSERT INTO `quest` SET 
    `name`='$_POST[name]',
    `text`='$_POST[text]',
    `tip`='mob',
    `min_level`='$_POST[min_level]',
    `max_level`='$_POST[max_level]',
    `time`='day',
    `need`='$_POST[need]',
    `mob`='$_POST[mob]',
    `exp`='$_POST[exp]',
    `silver`='$_POST[silver]'");
    
    header("Location: azone.php?sd=add_quest&id=$id");
    exit;
    
}

echo "← <a href='azone.php?sd=quest'>назад</a>";

break;

case 'edit_quest':
$w = mysql_fetch_assoc(mysql_query("SELECT * FROM `quest` WHERE `id`='$id'"));

if(empty($_POST['submit'])){
   
    echo "<form action='?sd=edit_quest&id=$id' method='post'>
    Название:<br>
    <input type='text' name='name' value='$w[name]' class='enter'><br>
    Текст:<br>
    <textarea name='text' class='enter'>$w[text]</textarea><br>
    Уровень:<br>
    <input type='text' name='min_level' value='$w[min_level]' class='enter'> - <input type='text' name='max_level' value='$w[max_level]' class='enter'><br>
    Монстр:<br>
    <input type='text' name='mob' value='$w[mob]' class='enter'><br>
    Количество:<br>
    <input type='text' name='need' value='$w[need]' class='enter'><br>
    <img src='img/exp.png'> Опыт:<br>
    <input type='text' name='exp' value='$w[exp]' class='enter'><br>
    <img src='img/silver.png'> Серебро:<br>
    <input type='text' name='silver' value='$w[silver]' class='enter'><br>
    <input type='submit' name='submit' value='Изменить' class='enter'><br>";

}else{
    
    mysql_query("UPDATE `quest` SET 
    `name`='$_POST[name]',
    `text`='$_POST[text]',
    `min_level`='$_POST[min_level]',
    `max_level`='$_POST[max_level]',
    `need`='$_POST[need]',
    `mob`='$_POST[mob]',
    `exp`='$_POST[exp]',
    `silver`='$_POST[silver]' WHERE `id`='$id'");
    
    header("Location: azone.php?sd=edit_quest&id=$id");
    exit;
    
}
echo "← <a href='azone.php?sd=quest'>назад</a>";

break;


case 'quest':

echo "<a href='?sd=add_quest'>Создать Квест</a><hr>";

$q = mysql_query("SELECT * FROM `quest` ORDER BY `id` DESC");

While($w = mysql_fetch_assoc($q)){
    
    echo "<small>$w[name] ($w[min_level]-$w[max_level]) [<a href='?sd=edit_quest&id=$w[id]'>Изменить</a>]</small><br>";
    
}

echo "← <a href='azone.php'>назад</a>";

break;


case 'mults':
$us = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id`='$id'"));

$q = mysql_query("SELECT * FROM `users` WHERE `ip`='$us[ip]' and `ip`!=''");

While($w = mysql_fetch_assoc($q)){
    $su = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `ip`='$w[id]'"));
    
    echo "<a href='user.php?id=$w[id]'>$w[login]</a><br>";
    
}

break;

case 'add_hp':

if(empty($_POST['submit'])){
    
    echo "<form action='azone.php?sd=add_hp' method='post'>
    Имя:<br>
    <input type='text' name='name' class='enter'><br>
    Уровень:<br>
    <input type='text' name='level' class='enter'><br>
    Цена:<br>
    <input type='text' name='cena' class='enter'><br>
    HP:<br>
    <input type='text' name='hp' class='enter'><br>
    IMG:<br>
    <input type='text' name='img' class='enter'><br>
    Картинка(ссылка):<br>
    <input type='text' name='link' class='enter'><br>
    <input type='submit' name='submit' value='Создать' class='enter'></form>";
    
}else{
    
    
    mysql_query("INSERT INTO `shope` SET 
    `name`='$_POST[name]',
    `img`='$_POST[img].png',
    `level`='$_POST[level]',
    `hp`='$_POST[hp]',
    `cena`='$_POST[cena]'") or die(mysql_error());
    
    
    $file = file_get_contents($_POST['link']);
    file_put_contents("img/elixir/$_POST[img].png", $file);
    
    header('Location: azone.php?sd=add_hp');
    exit;
    
}

break;



case 'jal':
$q = mysql_query("SELECT * FROM `mail_ja`");

if(isset($_GET['del'])){
    mysql_query("DELETE FROM `mail_ja` WHERE `id`='$id'");
    header('Location: azone.php?sd=jal');
    exit;
}

While($w = mysql_fetch_assoc($q)){
    
    $us = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id`='$w[user]'"));
    $us2 = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id`='$w[who]'"));
    
    echo "Кто: <a href='pers.php?id=$w[user]'>$us[login]</a><br>На кого: <a style='color:red' href='pers.php?id=$w[who]'>$us2[login]</a><br>
    $w[text]<br>[<a href='azone.php?sd=jal&id=$w[id]&del'>Удалить</a>]<hr>";
    
}


break;


case 'ban':

if(empty($_POST['submit'])){
    
    $us = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id`='$id'"));
    
    echo "<form action='azone.php?sd=ban&id=$id' method='post'>
    Ник:<br>
    <input type='text' name='user' value='$us[login]' class='enter'><br>
    Причина:<br>
    <textarea name='pri' class='enter'></textarea><br>
    Время бана:<br>
    <select name='time' class='enter'>
    <option value='3600'>1 час</option>
    <option value='43200'>12 часов</option>
    <option value='86400'>24 часа</option>
    <option value='2592000'>30 дней</option>
    <option value='perm'>Навсегда</option>
    </select><br>
    <input type='submit' name='submit' value='ОК' class='enter'></form>";
    
}else{
    if($_POST['time']!=='perm'){
        $rtr = time()+$_POST['time'];
    }else{
        $rtr = $_POST['time'];
    }
    mysql_query("INSERT INTO `ban` SET `user`='$id',`text`='$_POST[pri]',`who`='Splash',`time`='$rtr'");
    
    header('Location: main.php');
    exit;
}

break;

case 'pred':

if(empty($_POST['submit'])){
    
    $us = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id`='$id'"));
    
    echo "<form action='azone.php?sd=pred&id=$id' method='post'>
    Ник:<br>
    <input type='text' name='user' value='$us[login]' class='enter'><br>
    Причина:<br>
    <textarea name='pri' class='enter'></textarea><br>
    <input type='submit' name='submit' value='ОК' class='enter'></form>";
    
}else{
    
    mysql_query("UPDATE `users` SET `pred`=`pred`+'1' WHERE `id`='$id'");
    
    mysql_query("INSERT INTO `mail` SET `user`='1',`to`='$id',`time`='".time()."',`text`='Администратор <a href=pers.php?id=7>Splash</a> выдал вам предупреждение!<br>Причина: $_POST[pri]'");
    
    header("Location: pers.php?id=$id");
    exit;
    
}

break;



case 'payme2':

$w = mysql_fetch_assoc(mysql_query("SELECT * FROM `payme` WHERE `id`='$id'"));

mysql_query("INSERT INTO `mail` SET `user`='1',`to`='$w[user]',`text`='Вам зачеслено $w[kol] <img src=img/almaz.png> алмазов',`time`='".time()."'");

mysql_query("UPDATE `users` SET `almaz`=`almaz`+'$w[kol]' WHERE `id`='$w[user]'");

mysql_query("UPDATE `payme` SET `status`='ok' WHERE `id`='$id'");

header('Location: azone.php?sd=payme');
exit;

break;

case 'payme':

$q = mysql_query("SELECT * FROM `payme` WHERE `status`='not'");

While($w = mysql_fetch_assoc($q)){
    
    $us = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id`='$w[user]'"));
    
    echo "<a href='pers.php?id=$w[user]'>$us[login]</a><br>
    Время: $w[time]<br>
    Кошелёк: $w[wm]<br>
    Примечание: $w[text]<br>
    Количество: $w[kol]<br>
    [<a href='azone.php?sd=payme2&id=$w[id]'>Подтвердить</a>]<div class='linem2'></div>";
    
}
break;

case 'xsolla':
$q = mysql_query("SELECT * FROM `payments` WHERE `v1`!='' or `v1`!='0' ORDER BY `id` DESC LIMIT 30");

While($w = mysql_fetch_assoc($q)){
  
    echo "<font size=1><a href='pers.php?id=$w[v1]'>$w[user]</a> купил <img src='img/almaz.png'> $w[sum] | $w[time] | Xsolla_id: $w[xsolla_id]</font><br>";
    
}
echo "<hr>← <a href='azone.php'>Назад</a>";
break;


case 'add_mob':

if(empty($_POST['submit'])){
    
    echo "<form action='azone.php?sd=add_mob' method='post'>
    Имя:<br>
    <input type='text' name='name' class='enter'><br>
    Локация:<br>
    <select name='location' class='enter'>";
    $loc = mysql_query("SELECT * FROM `location` WHERE `tip`='hunter'");
    While($lc = mysql_fetch_assoc($loc)){
        echo "<option value='$lc[id]'>$lc[name]</option>";
    }
    echo "</select><br>
    Уровень:<br>
    <input type='text' name='level' class='enter'><br>
    Опыт:<br>
    <input type='text' name='exp' class='exp'><br>
    Серебро:<br>
    <input type='text' name='silver' class='enter'><br>
    Здоровье:<br>
    <input type='text' name='hp' class='enter'><br>
    Урон:<br>
    <input type='text' name='u_min' class='enter'> - <input type='text' name='u_max' class='enter'><br>
    Дроп:<br>
    <input type='text' name='drop' class='enter'><br>
    <input type='submit' name='submit' value='Создать' class='enter'></form>";
    
}else{
    
    mysql_query("INSERT INTO `mobs` SET 
    `name`='$_POST[name]',
    `loc`='$_POST[location]',
    `level`='$_POST[level]',
    `exp`='$_POST[exp]',
    `silver`='$_POST[silver]',
    `hp`='$_POST[hp]',
    `hpall`='$_POST[hp]',
    `u_min`='$_POST[u_min]',
    `u_max`='$_POST[u_max]',
    `drop`='$_POST[drop]'");
    
    echo "Монстр $w[name] создан.<br><a href='azone.php?sd=add_mob'>Продолжить</a>";
    
}

break;


case 'mobs':

echo "<a href='?sd=add_mob'>Создать монстра</a><hr>";

$q = mysql_query("SELECT * FROM `mobs`");

While($w = mysql_fetch_assoc($q)){
    
    echo "$w[name] ($w[level] ур.) - [<a href='?sd=edit_mob&id=$w[id]'>Изменить</a>] [<a href='?sd=del_mob&id=$w[id]'>Удалить</a>]<br>";
    
}

break;



case 'add_mag':

if(empty($_POST['submit'])){
    
    echo "<form action='azone.php?sd=add_mag' method='post'>
    Имя:<br>
    <input type='text' name='name' class='enter' value='Волна'><br>
    Mag:<br>
    <input type='text' name='mag' class='enter' value='volna'><br>
    Тип:<br>
    <input type='text' name='tip' class='enter' value='volna'><br>
    Уровень:<br>
    <input type='text' name='level' class='enter'><br>
    MP:<br>
    <input type='text' name='mp' class='enter'><br>
    HP:<br>
    <input type='text' name='hp' class='enter' value='18'><br>
    Урон:<br>
    <input type='text' name='min_u' class='enter'> - <input type='text' name='max_u' class='enter'><br>
    IMG:<br>
    <input type='text' name='img' class='enter' value='volna'><br>
    Картинка(ссылка):<br>
    <input type='text' name='link' class='enter'><br>
    <input type='submit' name='submit' value='Создать' class='enter'></form>";
    
}else{
    
    
    mysql_query("INSERT INTO `mag` SET 
    `name`='$_POST[name]',
    `img`='$_POST[img].png',
    `mag`='$_POST[mag]',
    `tip`='$_POST[tip]',
    `level`='$_POST[level]',
    `mp`='$_POST[mp]',
    `hp`='$_POST[hp]',
    `min_u`='$_POST[min_u]',
    `max_u`='$_POST[max_u]'");
    
    
    $file = file_get_contents($_POST['link']);
    file_put_contents("img/mag/$_POST[img].png", $file);
    
    header('Location: azone.php?sd=mag');
    exit;
    
}

break;

case 'mag':
echo "<a href='?sd=add_mag'>Создать магию</a><hr>";

$q = mysql_query("SELECT * FROM `mag`");

While($w = mysql_fetch_assoc($q)){
    
    echo "<img src='img/mag/$w[img]' width='20'> $w[name] ($w[level] ур.) [<a href='?sd=edit_mag&id=$w[id]'>Изменить</a>] [<a style='color:red' href='?sd=del_mag&id=$w[id]'>X</a>]<br>";
    
}

break;


case 'edit_shmot':

$w = mysql_fetch_assoc(mysql_query("SELECT * FROM `shop` WHERE `id`='$id'"));

if(empty($_POST['save'])){
    
    echo "<form action='azone.php?sd=edit_shmot&id=$w[id]' method='post'>
    Имя:<br>
    <input type='text' name='name' value='$w[name]' class='enter'><br>
	Копмлект:<br>
	<select name='complekt' class='enter'>";
	
	$c = mysql_query("SELECT * FROM `complekt`");
	While($cc = mysql_fetch_assoc($c)){
		echo "<option value='$cc[id]'>$cc[name]</option>";	
	}
	
    echo "</select><br>
	Уровень:<br>
    <input type='text' name='level' value='$w[level]' class='enter'><br>
    Цена (<img src='img/silver.png'>):<br>
    <input type='text' name='silver' value='$w[silver]' class='enter'><br>
    
    + <font color=red>hp</font>:<br>
    <input type='text' name='hp' value='$w[hp]' class='enter'><br>
    + <font color=blue>mp</font>:<br>
    <input type='text' name='mp' value='$w[mp]' class='enter'><br>
    Урон:<br>
    <input type='text' name='min_u' value='$w[min_u]' class='enter'> - <input type='text' name='max_u' value='$w[max_u]' class='enter'><br>
    <input type='submit' name='save' value='Изменить' class='enter'></form>";
    
}else{
	
     mysql_query("UPDATE `shop` SET 
    `name`='$_POST[name]',
    `level`='$_POST[level]',
	`complekt`='$_POST[complekt]',
    `silver`='$_POST[silver]',
    `hp`='$_POST[hp]',
    `mp`='$_POST[mp]',
    `min_u`='$_POST[min_u]',
    `max_u`='$_POST[max_u]' WHERE `id`='$id'");
    
    header('Location: azone.php?sd=edit_shmot&id='.$id.'');
	
    exit;
    
}

echo "<hr><a href='azone.php?sd=shop'>← назад</a>";

break;

case 'pers2':

$w = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id`='$_POST[login]' or `id`='$id'"));

if(empty($_POST['save'])){
echo "<form action='azone.php?sd=pers2&id=$w[id]' method='post'>
$w[login] (id: $w[id])<br>
Пол:<br>
<input type='text' name='pol' value='$w[pol]' class='enter'><br>
Сторона:<br>
<input type='text' name='storona' value='$w[storona]' class='enter'><br>
Доступ:<br>
<input type='text' name='access' value='$w[access]' class='enter'><br>
<img src='img/exp.png'> Опыт:<br>
<input type='text' name='exp' value='$w[exp]' class='enter'><br>
<img src='img/level.png'> Уровень:<br>
<input type='text' name='level' value='$w[level]' class='enter'><br>
<img src='img/silver.png'> Монеты:<br>
<input type='text' name='silver' value='$w[silver]' class='enter'><br>
<img src='img/almaz.png'> Алмазы:<br>
<input type='text' name='almaz' value='$w[almaz]' class='enter'><br>
<img src='img/key.png'> Ключи:<br>
<input type='text' name='key' value='$w[key]' class='enter'><br>
Очки навыков:<br>
<input type='text' name='skills' value='$w[skills]' class='enter'><br>
Урон: <input type='text' name='min_u' value='$w[min_u]' class='enter'> - <input type='text' name='max_u' value='$w[max_u]' class='enter'><br>
Здоровье:<br>
<input type='text' name='hp' value='$w[hp]' class='enter'><br>";

echo "
<img src='img/vip.png' width='20'> Премиум(<font color=lime>1-on</font>, <font color=red>0-off</font>):<br>
<input type='text' name='premium' value='$w[premium]' class='enter'><br>
<input type='submit' name='save' value='Изменить' class='enter'></form>";
}else{
    
    mysql_query("UPDATE `users` SET 
    `pol`='$_POST[pol]',
    `storona`='$_POST[storona]',
    `access`='$_POST[access]',
    `exp`='$_POST[exp]',
    `level`='$_POST[level]',
	`hp`='$_POST[hp]',
	`hpall`='$_POST[hp]',
	`min_u`='$_POST[min_u]',
	`max_u`='$_POST[max_u]',
    `silver`='$_POST[silver]',
    `skills`='$_POST[skills]',
    `almaz`='$_POST[almaz]',
    `key`='$_POST[key]',
    `premium`='$_POST[premium]' WHERE `id`='$id'");
    
    header('Location: azone.php?sd=pers2&id='.$id.'');
    exit;
}

echo "<hr><a href='azone.php?'>← назад</a>";
break;

case 'pers':

echo "<form action='azone.php?sd=pers2' method='post'>
Логин:<br>
<input type='text' name='login' class='enter'><br>
<input type='submit' value='Редактировать' class='enter'></form>";

echo "<hr><a href='azone.php?'>← назад</a>";
break;

case 'del_ticket':

mysql_query("DELETE FROM `ticket` WHERE `id`='$id'");
mysql_query("DELETE FROM `ticket_msg` WHERE `ticket`='$id'");
header('Location: azone.php?sd=ticket');
exit;

break;

case 'ticket':

if($_GET['status']=='' || $_GET['status']=='on'){$st="on";$a1="Открытые тикеты";$a2="<a href='azone.php?sd=ticket&status=off'>Закрытые тикеты</a>";}else{$st="off";$a1="<a href='azone.php?sd=ticket&status=on'>Открытые тикеты</a>";$a2="Закрытые тикеты";}

echo "$a1 | $a2<hr>";

$q = mysql_query("SELECT * FROM `ticket` WHERE `status`='$st'");
$e = mysql_num_rows($q);
if($e == '0'){
    echo "Тикетов нет<br>";
}
While($w = mysql_fetch_assoc($q)){
    $us = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id`='$w[user]'"));
    echo "$us[login],$w[theme] ($w[time]) - [<a href='azone.php?sd=ticket2&id=$w[id]'>Посмотреть</a>] [<a href='azone.php?sd=del_ticket&id=$w[id]'>Удалить</a>]<br>";
    
}
echo "<hr><a href='azone.php?'>← назад</a>";
break;

case 'ticket2':
$q = mysql_query("SELECT * FROM `ticket` WHERE `id`='$id'");
$w = mysql_fetch_assoc($q);

if(isset($_GET['off'])){
    $time1 = date('d.m.y');
    $time2 = date('H:i:s');
    
    mysql_query("INSERT INTO `ticket_msg` SET `ticket`='$w[id]',`user`='$uid',`text`='Топик закрыт администратором.',`time`='$time1 в $time2'");
    mysql_query("UPDATE `ticket` SET `status`='off' WHERE `id`='$w[id]'");
    header('Location: azone.php?sd=ticket2&id='.$w['id'].'');
    exit;
}
if(isset($_GET['on'])){
    $time1 = date('d.m.y');
    $time2 = date('H:i:s');
    
    mysql_query("INSERT INTO `ticket_msg` SET `ticket`='$w[id]',`user`='$uid',`text`='Топик открыт администратором.',`time`='$time1 в $time2'");
    mysql_query("UPDATE `ticket` SET `status`='on' WHERE `id`='$w[id]'");
    header('Location: azone.php?sd=ticket2&id='.$w['id'].'');
    exit;
}


if($w['status']=='off'){$sts = "<a href='azone.php?sd=ticket2&id=$w[id]&on'>Открыть</a>";}else{$sts = "<a href='azone.php?sd=ticket2&id=$w[id]&off'>Закрыть</a>";}
echo "Тема: <b>$w[theme]</b> [$w[time]] [$sts]<br>- - -<br>$w[text]<br>- - -<br>";

$q1 = mysql_query("SELECT * FROM `ticket_msg` WHERE `ticket`='$w[id]' ORDER BY `id` DESC LIMIT 10");

While($w1 = mysql_fetch_assoc($q1)){
    $us = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id`='$w1[user]'"));
    if($us['access']=='3'){$cl="lime";}
    if($us['access']=='2'){$cl="blue";}
    echo "<hr><font color=$cl>$us[login]</font> ($w1[time]):<br>$w1[text]";
    
}

echo "<br><br><font size=1 color=grey>В топике выводятся 10 последних сообщений</font>";

if($w['status'] == 'on'){
    if(empty($_POST['submit'])){
    echo "<br><br><form action='azone.php?sd=ticket2&id=$w[id]' method='post'>
    <textarea cols='50' rows='7' name='text' class='enter'></textarea><br>
    <input type='submit' name='submit' value='Отправить' class='enter'></form>";
    }else{
        $text = mysql_real_escape_string(htmlspecialchars($_POST['text']));
        $time1 = date('d.m.y');
        $time2 = date('H:i:s');
        mysql_query("INSERT INTO `ticket_msg` SET `ticket`='$w[id]',`user`='$uid',`text`='$text',`time`='$time1 в $time2'");
    }
}else{
    echo "<br>Данный топик закрыт.";
}
echo "<hr><a href='azone.php?sd=ticket'>← назад</a>";
break;


case 'add_shmot':

if(empty($_POST['submit'])){
    
    echo "<form action='azone.php?sd=add_shmot' method='post'>
    Имя:<br>
    <input type='text' name='name' class='enter'><br>
    Тип:<br>
    <select name='tip' class='enter'>
    <option value='weapon'>Оружие</option>
    <option value='helmet'>Шлем</option>
    <option value='armor'>Броня</option>
    <option value='gloves'>Перчатки</option>
    <option value='ple4i'>Наплечники</option>
    <option value='pants'>Поножи</option>
    <option value='boots'>Сапоги</option>
    <option value='amulet'>Амулет</option>
    <option value='shield'>Щит</option>
    <option value='ear'>Серьга</option>
    <option value='ring'>Кольцо</option>
    </select><br>
	Качество:<br>
	<select name='sort' class='enter'>
	<option value='grey'><font color=grey>Обычное</font></option>
	<option value='#00FF33'><font color=#00FF33>Необычное</font></option>
	<option value='#0033CC'><font color=#0033CC>Редкое</font></option>
	<option value='#990066'><font color=#990066>Уникальное</font></option>
	<option value='#FF9933'><font color=#FF9933>Эпическое</font></option>
	<option value='red'><font color=red>Кровавое</font></option>
	</select><br>
	Копмлект:<br>
	<select name='complekt' class='enter'>";
	
	$c = mysql_query("SELECT * FROM `complekt`");
	While($cc = mysql_fetch_assoc($c)){
		echo "<option value='$cc[id]'>$cc[name]</option>";	
	}
	
    echo "</select><br>
    Уровень:<br>
    <input type='text' name='level' class='enter'><br>
    
    Цена (<img src='img/almaz.png'>):<br>
    <input type='text' name='almaz' class='enter'><br>
    Цена (<img src='img/silver.png'>):<br>
    <input type='text' name='silver' class='enter'><br>
    
    
    + <font color=red>hp</font>:<br>
    <input type='text' name='hp' class='enter'><br>
    + <font color=blue>mp</font>:<br>
    <input type='text' name='mp' class='enter'><br>
    Интеллект:<br>
    <input type='text' name='int' class='enter'><br>
    Урон:<br>
    <input type='text' name='min_u' class='enter'> - <input type='text' name='max_u' class='enter'><br>
    URL Картинки:<br>
    <input type='text' name='link' class='enter'><br>
    <input type='submit' name='submit' value='Создать'></form>";
    
}else{

    
     mysql_query("INSERT INTO `shop` SET 
    `name`='$_POST[name]',
    `tip`='$_POST[tip]',
	`complekt`='$_POST[complekt]',
	`sort`='$_POST[sort]',
    `level`='$_POST[level]',
	`img`='$_POST[link].png',
    `almaz`='$_POST[almaz]',
    `silver`='$_POST[silver]',
    `hp`='$_POST[hp]',
    `mp`='$_POST[mp]',
    `min_u`='$_POST[min_u]',
    `max_u`='$_POST[max_u]',
    `int`='$_POST[int]'") or die(mysql_error());
    
    /*$sna = mysql_insert_id();
    
    mysql_query("UPDATE `shop` SET `img`='$sna.png' WHERE `id`='$sna'");
    
	
    $file = file_get_contents($_POST['link']);
    file_put_contents("/img/shmot/0123.png", $file);  
    */
    
    header('Location: azone.php?sd=add_shmot');
    exit;
    
}

break;


/// магазин ///
case 'shop':
    
    echo "<a href='azone.php?sd=add_shmot'>Создать вещь</a><br><a href='azone.php?sd=add_hp'>Создать Эликсир</a><hr>";
    
    
    if($_GET['tip'] == ''){$tip = '';}else{$tip = $_GET['tip'];}

    $q = mysql_query("SELECT * FROM `shop` $tip");
    $e = mysql_num_rows($q);
    if($e == '0'){
        echo "Вещей нет.<br>";
    }
    
    While($w = mysql_fetch_assoc($q)){
        
        echo "$w[name] - [<a href='azone.php?sd=edit_shmot&id=$w[id]'>Изменить</a>][<a style='color:red' href='azone.php?sd=del_shmot&id=$w[id]'>X</a>]<br>";
        
    }

break;

case 'del_shmot':

  
    mysql_query("DELETE FROM `shop` WHERE `id`='$id'");
    
    header('Location: azone.php?sd=shop');
    exit;


break;


/// новости ///
case 'news':

if($_SESSION['news_del'] !== ''){
    echo "$_SESSION[news_del]<hr>";
    $_SESSION['news_del'] = "";
}

if($_SESSION['addnews'] !== ''){
    echo "$_SESSION[addnews]<hr>";
    $_SESSION['addnews'] = "";
}

echo "<a href='azone.php?sd=addnews'>Добавить новость <font size='3' color='lime'>+</font></a><hr>";

if ($_GET['page'] == "" || $_GET['page'] < 0 || $_GET['page'] == "0") {$_GET['page'] = 0;}
$next = $_GET['page'] + 1;
$back = $_GET['page'] - 1;
$num = $_GET['page'] * 10;
if($_GET['page'] == "0"){$i = 1;}
else{$i = ($_GET['page']*10)+1;}
$viso = mysql_num_rows(mysql_query("SELECT `title` FROM `news`"));
$puslap = floor($viso/10);


$asd = mysql_query("SELECT * FROM news ORDER BY id DESC LIMIT $num,10");
$e = mysql_num_rows($asd);
if($e == '0'){
    echo "Новостей пока нет.";
    include ('tmp/foot.php');
    exit;
}

While($n = mysql_fetch_array($asd)){

    echo "$n[title] ($n[date]) - [<a href='azone.php?sd=delnews&id=$n[id]'>Удалить</a>]<br>";    
    
}
echo "<hr>";
if ($_GET['page'] > 0){

echo "<a href=\"azone.php?sd=news&page=$back\">< Назад |</a>";}elseif($_GET['page'] == 0){echo"";}

if($_GET['page'] < $puslap || $_GET['page'] == "" || $_GET['page'] == 0)

{echo "<a href=\"azone.php?sd=news&page=$next\"> Далее ></a>";}
break;


/// удаление новости ///
case 'delnews':
$n = mysql_fetch_assoc(mysql_query("SELECT * FROM `news` WHERE `id`='$id'"));

mysql_query("DELETE FROM `news` WHERE `id`='$id'");

$_SESSION['news_del'] = "<font color='red'>Новость <b>$n[title]</b> удалена!</font>";

header('Location: azone.php?sd=news');
exit;
break;


/// создание новости ///
case 'addnews':

if(empty($_POST['submit'])){
    
    echo "<form action='/azone/addnews' method='post'>
    Название:<br>
    <input type='text' class='enter' name='title'><br>
    Текст:<br>
    <textarea name='text' class='enter' style='width:98%' rows='10'></textarea><br>
    <input type='submit' class='enter' name='submit' value='Создать'></form>";
    
}else{
    
$k = date("j");
$kg = date("n");

if($kg=='1'){$mes="Января";}
if($kg=='2'){$mes="Февраля";}
if($kg=='3'){$mes="Марта";}
if($kg=='4'){$mes="Апреля";}
if($kg=='5'){$mes="Мая";}
if($kg=='6'){$mes="Июня";}
if($kg=='7'){$mes="Июля";}
if($kg=='8'){$mes="Августа";}
if($kg=='9'){$mes="Сентября";}
if($kg=='10'){$mes="Октября";}
if($kg=='11'){$mes="Ноября";}
if($kg=='12'){$mes="Декабря";}
	
    mysql_query("INSERT INTO `news` SET `title`='$_POST[title]',`text`='$_POST[text]',`date`='$k $mes'") or die(mysql_error());
    
    $_SESSION['addnews'] = "<font color='lime'>Новость <b>$_POST[title]</b> создана!</font>";
    
    header('Location: /azone/news');
    exit;
}
break;

}
include ('tmp/foot.php');
?>